/*
  --- Program  : ScriptVariable.h
  --- Language : C++
  --- Notes    : Support class for accessing script variables created by
               : XIVR v 2.50
  --- Copyright: Xtend Technologies (P) Ltd.  grants  all legal XIVR users
               : the right to use, modify or include the following source
               : code in your programs.
*/

#ifndef _SCRIPTVARIABLE_H_
#define _SCRIPTVARIABLE_H_

#pragma warning(disable:4786)
#include "stdafx.h"
#include "iostream.h"
#include <string>
#include <vector>
#include <map>
using namespace std;

typedef map<string, string, less<string>, allocator<string> > STRING2STRING;

class CScriptVariable  
{
private:
	FILE *pFile;
	int	NoofLines;
	string ScriptFile;
	STRING2STRING theMap;

private:
	bool LoadFileToArray();
	void ParseLine(string str);
	string Text2Hex(string str);
	string Hex2Text(string str);

public:
	CScriptVariable();
	~CScriptVariable();

	BOOL Open(string filename);
	void Reset(const char* pVar);
	long GetNum(string variable);
	void SetNum(string variable, long iValue);
	string GetString(string variable);
	void SetString(string variable, string value);
	void Close();
};
#endif 
